layui.use([ 'element', 'table', 'laydate', 'form','upload' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form,
	upload   = layui.upload;

	// 生成表格
	table.render({
		elem 	: '#imgTable',
		url 	: '../../getImgList', 
		toolbar : '#toolbarDemo',
		title 	: '图片表',// 导出文件名
		id 		: 'imgTableAll',
		// 开启分页
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		/*request : {
			'limitName' : 'pageSize' // 分页每页条数默认字段改为pageSize
		},*/
		where:{
			proTypeLabel :''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 50,
			fixed : "left"
		},{
			field : 'proTypeLabel',
			title : '产品种类',
			align : "center",
			width :  180
		},{
			field : 'kindLabel',
			title : '材料1',
			align : "center",
			width :  380
		},{
			field : 'kind2Label',
			title : '材料2',
			width :  280,
		},{
			field : 'remark',
			title : '产品说明',
			width :  280
		},{
			field : 'createDate',
			title : '创建时间',
			align : "center",
			width :  200,
			templet : function(d) {
				return d.createDate != null ?layui.util.toDateString(d.createDate, "yyyy-MM-dd HH:mm:ss") : "";
			} 
		}, {
			fixed : 'right',
			title : '操作',
			align : "center",
			width :  150,
			toolbar : '#barDemo'
		} ] ],
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			console.log(res)
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"count"	: res.data.list.total,//解析数据长度
				"data" 	: res.data.list.list//解析数据列表
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('imgTableAll', {
			method : 'post',
			where : {
				proTypeLabel : $("#proTypeLabel").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	

	// 监听头部工作栏的 新增用户
	table.on('toolbar(imgTable)', function(obj) {
		var checkStatus = table.checkStatus(obj.config.id);
		switch (obj.event) {
		case 'mulAdd':
			layer.open({
				// layer提供了5种层类型。可传入的值有：0（信息框，默认）1（页面层）2（iframe层）3（加载层）4（tips层）
				type: 2,
				title: "产品图片上传",
				area: ['720px', '430px'],
				//content: $("#popmulAddTest")// 引用的弹出层的页面层的方式加载添加界面表单
				content : './addImgUpload.jsp',
			});
			break;
		}
		;
	});
	
	// 监听 修改
	table.on('tool(imgTable)', function(obj) {
		var data1 = obj.data;
		if (obj.event === 'edit') {
			layer.open({
				type : 2,
				title : "修改产品信息",
				area : [ '45%', '70%' ],
				skin:'layui-layer-molv',
				content : './updateImgUpload.jsp',
				success : function(layero, index) {
					var body = layer.getChildFrame('body', index);
					var iframeWin = window[layero.find('iframe')[0]['name']]; // 得到iframe页的窗口对象
					body.find('#id').val(data1.id);
					body.find('#proTypeLabel').val(data1.proTypeLabel);
					body.find('#kindLabel').val(data1.kindLabel);
					body.find('#kind2Label').val(data1.kind2Label);
					body.find('#remark').val(data1.remark);
					layui.form.render();
				}
			});
		}
	})
});
